<?php
/*
Plugin Name: My Tags
Plugin URI: http://www.g-loaded.eu/2006/01/05/my-tags-wordpress-plugin/
Description: Constructs URLS for your categories, which have the tag relation set and appends a tags section to your post's body in single post view and to the feed item's content.
Version: 0.7
Author: GNot
Author URI: http://www.g-loaded.eu/
*/

/*
License: GPL
Compatibility: All

Info:
This plugin could be useful if you use the WP category system as a tagging system.
It constructs URLs for your categories according to the configuration option below,
and appends this section to the post's body in single post view and to the content
of the feed item.

Installation:
Place the my-tags.php file in your /wp-content/plugins/ directory
and activate through the administration panel.

Configuration:
Set the base URL for the tag links.
If left blank, then the default WordPress for your categories will be used.
If this is set to something else, eg Technorati, then this will be used instead.
*/

$my_tags_url = "";
//$my_tags_url = "http://technorati.com/tag/";

/* 
Advanced Configuration
Define a class .mytag in your CSS stylesheet. It will be used if set.
Here follows an example (copy it to your style.css):

.mytag, .mytag a, .mytag a:hover {
	font-size: 1em;
	color: #777;
	}

That's it.
*/

/*  Copyright (C) George Notaras (http://www.g-loaded.eu/)

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

/* Changelog
* Wed Oct 04 2006 - v0.7
- Plugin information update
* Sun Apr 30 2006 - v0.6
- Removes style attribute when tags are added to the feeds, so they validate properly.
- Modified the way the tags message is displayed by default.
* Thu Jan 5 2006 - v0.5
- Initial release
*/


function mt_add_my_tags($PostBody) {
    global $feed, $my_tags_url, $my_tags_style;

    if ( is_single() || ( is_feed() && !empty($feed)) ) {
    	// The content should not contain the style attribute if this is a feed
    	if ( is_feed() ) {
    		$MyCatTagStr = "<h3><small>Tags</small></h3><p class=\"mytag\"><small>";
    	} else {
			$MyCatTagStr = "<h3 style=\"color: #777; margin-top: 1em;\"><small>Tags</small></h3><p style=\"margin: 0;\" class=\"mytag\"><small>";
		}
		
		foreach((get_the_category()) as $cat) {
			if ( empty($my_tags_url) ) {
				$MyCatTagStr .= "\n<a href=\"" . substr(get_category_link($cat->cat_ID), 0, -1) . "\" rel=\"tag\">" . $cat->cat_name . "</a>, ";
			} else {
				$MyCatTagStr .= "\n<a href=\"" . $my_tags_url . $cat->cat_name . "\" rel=\"tag\">" . $cat->cat_name . "</a>, ";
			}
		}
		$MyCatTagStr = substr($MyCatTagStr, 0, -2) . "\n</small></p>\n";
		$PostBody .= $MyCatTagStr;
	}
	return $PostBody;
}

add_filter('the_content', 'mt_add_my_tags');

?>
